aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-agl-lava-jobs-submit.sh
diff options
context:
space:
mode:
authorKhouloud Touil <ktouil@baylibre.com>2019-02-13 12:07:55 +0100
committerKhouloud Touil <ktouil@baylibre.com>2019-02-13 12:30:24 +0100
commitb04be77d7424bd3f465fcee6562318d65492df73 (patch)
treec747cb88b3b1b8ad7897b7129a091cf368d65410 /jjb/common/include-agl-lava-jobs-submit.sh
parentae4e29391baee4864c2fc60fc7b913d83159ea1c (diff)
Enable the request of test report email
Add new feature to the ci-managmenet that will request to send test report email to the specified email addresses in the automotive- testreports list after a certain delay (1 hour=3600 sec). This commit is accomplished based on the work of Corentin Labbe <clabbe@baylibre.com>. Change-Id: I14350b13b5b6cf2550303999ced56055a392212b Signed-off-by: Khouloud Touil <ktouil@baylibre.com>
Diffstat (limited to 'jjb/common/include-agl-lava-jobs-submit.sh')
-rw-r--r--jjb/common/include-agl-lava-jobs-submit.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/jjb/common/include-agl-lava-jobs-submit.sh b/jjb/common/include-agl-lava-jobs-submit.sh
index 3ecb0d12..22dc0c3b 100644
--- a/jjb/common/include-agl-lava-jobs-submit.sh
+++ b/jjb/common/include-agl-lava-jobs-submit.sh
@@ -53,6 +53,23 @@ echo "####"
echo "#### End: Output from LAVA job $job_id ####"
echo "####"
+# ask for email report
+
+if [ -z "$KCI_EMAIL_AUTH_TOKEN" ]; then
+ KCI_API='https://kernelci.dev.baylibre.com:8081'
+ TREE_NAME=$(grep kernel.tree: $JOB_FILE_NEW | sed 's,[[:space:]],,g' | cut -d: -f2)
+ BRANCH=$(grep git.branch: $JOB_FILE_NEW | sed 's,[[:space:]],,g' | cut -d: -f2)
+ GIT_DESCRIBE="$(grep kernel.version: $JOB_FILE_NEW | sed 's,[[:space:]],,g' | cut -d: -f2)"
+ lavacli --uri $LAVA_MASTER_URI results $job_id | grep '* [0-9]' |cut -d_ -f2- |cut -d. -f1 | sort | uniq > test_plans
+ if [ $? -eq 0 ] && [ -s test_plans ]; then
+ for plan in $(<test_plans); do
+ curl -X POST -H "Authorization: $KCI_EMAIL_AUTH_TOKEN" -H "Content-Type: application/json" -d '{"job": "'$TREE_NAME'", "kernel": "'$GIT_DESCRIBE'", "git_branch": "'$BRANCH'", "report_type": "test", "plan": "'$plan'", "send_to": [" automotive-testreports@lists.linuxfoundation.org"], "format": ["txt"], "delay": 3600}' ${KCI_API}/send
+ echo "The test email reportS will be sent with a delay of 1 hour "
+ done
+ else
+ echo "There is no test plan identified"
+ fi
+fi
# after one successful submit, we're done
if [ x"$status" = x"Complete" ]; then
exit 0